summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorhasufell <hasufell@gentoo.org>2013-03-20 17:10:46 +0100
committerhasufell <hasufell@gentoo.org>2013-03-20 17:10:46 +0100
commit689a230b614523a8cfb99bd5c707f7465c4ef64c (patch)
tree11eea2f60d9ba946f0196181dd3da365fb95ff4c /games-fps
parentgames-fps/assaultcube: rewrite, do proper QA (diff)
downloadsunrise-689a230b614523a8cfb99bd5c707f7465c4ef64c.tar.gz
sunrise-689a230b614523a8cfb99bd5c707f7465c4ef64c.tar.bz2
sunrise-689a230b614523a8cfb99bd5c707f7465c4ef64c.zip
games-fps/vavoom: fix everything
Diffstat (limited to 'games-fps')
-rw-r--r--games-fps/vavoom/ChangeLog4
-rw-r--r--games-fps/vavoom/Manifest8
-rw-r--r--games-fps/vavoom/metadata.xml1
-rw-r--r--games-fps/vavoom/vavoom-1.33.ebuild103
-rw-r--r--games-fps/vavoom/vavoom-9999.ebuild189
5 files changed, 133 insertions, 172 deletions
diff --git a/games-fps/vavoom/ChangeLog b/games-fps/vavoom/ChangeLog
index 44d0ae4e5..06b8fd7f4 100644
--- a/games-fps/vavoom/ChangeLog
+++ b/games-fps/vavoom/ChangeLog
@@ -2,6 +2,10 @@
# Copyright 1999-2013 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+ 20 Mar 2013; Julian Ospald <hasufell@gentoo.org> vavoom-1.33.ebuild,
+ vavoom-9999.ebuild:
+ fix everything
+
*vavoom-1.33 (18 Mar 2013)
18 Mar 2013; Patrick Lauer <patrick@gentoo.org> -vavoom-1.30.ebuild,
diff --git a/games-fps/vavoom/Manifest b/games-fps/vavoom/Manifest
index 5b5579721..ad2b67b4a 100644
--- a/games-fps/vavoom/Manifest
+++ b/games-fps/vavoom/Manifest
@@ -1,5 +1,5 @@
DIST vavoom-1.33.tar.bz2 1555267 SHA256 a57e19b51dc411ef3e659bfa62bd961d89a2f68ba0b76a1e89e18bae72b362df SHA512 43df722db80eff876c9818b5909aefaff46c1f79009c3c9c4c35ec603843550e29ba7df28cf4f8e0b68bc42242821d268b1efacbfc3d2e7b847f3710b1cafc74 WHIRLPOOL 20f88452ee46f5f3bdb8de181659d64436feb62ee7aa6086cb01b611970425966ebd158eb97104c4261e62327ab5ba0f47afe6c9aca6df48f5ec9b32792df21d
-EBUILD vavoom-1.33.ebuild 4758 SHA256 27fe37f671ad9a785f2ad2d7bce2a4be42d4a03652527865b42b278bb3cee042 SHA512 ef21c67c64674ff17b3f629152b783ac5191ddff2831b089329b0e1ab35bae462a4a9bff2a5f69b99589f0907418636aa1443967a2fde1dfe7343ae46bce23e0 WHIRLPOOL 88b3f9368102b123f6a8ba49fe2129f1551045fa8d277ae02c5f5b07a9a7d4276cbb8c6250bf4ac3a3a45abb043d966051e4f9e718b11e3f5a709a7f916b1575
-EBUILD vavoom-9999.ebuild 5722 SHA256 ac2fddff0ab3b38d9304ae19e1d98d1686ada66975c85169c4e438c6f516f044 SHA512 6ce6167a5e0df9a42d6b24a50deba0b072f2197635bbb1504252e6fc8fc5bd585c3dcbad887a421cd1330d34af4cbf721264f8f5cf32714ed11d767c286e6070 WHIRLPOOL fbdb62be93cdf8d25400d9e99a9d60e7c301ef365b199cb3c901233396473806594b3abcc7c1cf03a31555ef6c3871298762fdeb977a9b16c82017a9884430fb
-MISC ChangeLog 6372 SHA256 c9627eb26c055ed90c1d2601a12e2850110f06c838edb1b06ed0dd773d1b5f94 SHA512 ef93251b17435e30083a7b43cbfb403b629c8d72394bc0805e6b945d3a5b41c524b50dcdb55f0daf01b1eec2d2229abf28575d28e7c9528029f6c88dd4fb6d5b WHIRLPOOL 7f0af181a61b0ca09eb9b363d85253f26f7c641ce2f0da0dff5e473f91580516212449fc34f36cfa7551559e00478316779e499dc7eaa9d43f0ca655d8358a24
-MISC metadata.xml 809 SHA256 65a49d09843b07824fa6ac4f68aad78d484c58236039f37c988ea2536ee26766 SHA512 1db1ef0ea139e5e25101072117fb2d42502d1b54a73e85da3db65968bf1118611dcbaad47c0ed3339f9192eb68889124ee0a31e336f1ff78bec08d5e699563eb WHIRLPOOL 8527a38d200f0d9e676bc65d624a11a84c321b0460daa9816a5ae1de9905313f7bd75abb2e5229b22393331dee7cf6a0561249993d04eb9f95b610f567d96eca
+EBUILD vavoom-1.33.ebuild 4326 SHA256 6c54e35edd7355ce83b9302671ba9021377ca41104df350e0b37f46a2b9934d3 SHA512 6ccebd94b93f361bbfc78870c5c3d8576b33d42ce5073fc4fc280c5dfe4c3b9acf7b685f6117a415da9b4ca9adb19506b6429f6b7cda9fbdf74dbc75d03ce9b1 WHIRLPOOL fdc312d7636ae06006d3581c1f793f99829d0f00ed41baff04965e47c3f7b899b6089c1a25db01fbdc654f9e8ffed22dd673c515c63011edd9aa71779bfc24d7
+EBUILD vavoom-9999.ebuild 4414 SHA256 8b7fc1c363521c77f813913c74111a3f94363c0687b1de5103d9b765f6dce660 SHA512 41e0d9b3cf74dac72e67ec21b6d8cd4a25186ee03b2f33e141e6150e655e6d8616edb3a7e1b6563bf50826468f3921e8fc7395ca42fa6c0160d97f3ca41564f9 WHIRLPOOL 190023ab0fd59ab912bee6dd8ed2ef240ad039f83c1985be9800bba3ebe8c075177f3868ed2d042a8487aeb87ab50303ace12b5935c67ca4ac539feb39c36e16
+MISC ChangeLog 6483 SHA256 28bf1cc745982919c8fd11baeda28d758c7b8c4b107efd23b00f08c03f961e92 SHA512 2e99620b01ffb018af2b013012c9421edebb608cf9a9ce4311e31c225d44b3dad79bb2e53c961d48e1fa93fb7cb86ba0aab32f4d532d9bbf3e9954cadde74589 WHIRLPOOL 2d55f773c3d35576a3d8cf4270cc2282e00f4ab5c4a551a0de9689cef2310f59506dedca6c275e246c39cd99b739ec0ccc3ec3b0ccb75cf10bacfee9764b9079
+MISC metadata.xml 851 SHA256 2d24d31cadf6b4eb0fef10e5fd9df87e3027c176461c9dedc91ca185cf964ccf SHA512 e85e4da7274c3b45bd35e4a2289de2385ecdabb0a53286489ec92f6f779efaddbce9e099d8f06566e946c8bef2e90b55d0041204529ba422a68f96682be86e38 WHIRLPOOL 814962aa2f77d7e80ec66d9311af3d1981ace847c289c3c927f389b7507e0bacfc31fa004f4484985111c9602adf2302f55a2d8b9f15250dfeca380b9f355529
diff --git a/games-fps/vavoom/metadata.xml b/games-fps/vavoom/metadata.xml
index 940ea1203..438102a17 100644
--- a/games-fps/vavoom/metadata.xml
+++ b/games-fps/vavoom/metadata.xml
@@ -13,6 +13,7 @@
<flag name='music'>Install enhanced hi-quality music (in OGG format)</flag>
<flag name='textures'>Install enhanced hi-res textures</flag>
<flag name='tools'>Enable compilation of mod-developing tools</flag>
+ <flag name='server'>Build server</flag>
</use>
</pkgmetadata>
diff --git a/games-fps/vavoom/vavoom-1.33.ebuild b/games-fps/vavoom/vavoom-1.33.ebuild
index 1b5c87058..400fcf239 100644
--- a/games-fps/vavoom/vavoom-1.33.ebuild
+++ b/games-fps/vavoom/vavoom-1.33.ebuild
@@ -2,7 +2,7 @@
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI="4"
+EAPI=5
WX_GTK_VER="2.8"
@@ -15,7 +15,7 @@ SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
-IUSE="allegro asm debug dedicated flac mad mikmod models music openal +sdl textures tools vorbis wxwidgets"
+IUSE="allegro asm debug dedicated flac mad mikmod models music openal +sdl server textures tools vorbis wxwidgets"
# Vavoom requires either Allegro or SDL to compile.
# Set appropriate USE flags to select which library is used.
@@ -23,8 +23,8 @@ IUSE="allegro asm debug dedicated flac mad mikmod models music openal +sdl textu
# As of 1.33, OpenGL is required and thus forced on.
SDLDEPEND="
- || ( >=media-libs/libsdl-1.2[alsa,X,opengl]
- >=media-libs/libsdl-1.2[oss,X,opengl] )
+ || ( >=media-libs/libsdl-1.2[alsa,X,video,opengl]
+ >=media-libs/libsdl-1.2[oss,X,video,opengl] )
music? ( media-libs/sdl-mixer )
!music? ( media-libs/sdl-mixer[timidity] )
"
@@ -32,7 +32,7 @@ ALLEGDEPEND="
|| ( >=media-libs/allegro-4.0[alsa,X,opengl]
>=media-libs/allegro-4.0[oss,X,opengl] )
"
-DEPEND="media-libs/libpng
+DEPEND="media-libs/libpng:0
virtual/jpeg
sdl? ( ${SDLDEPEND} )
!sdl? ( allegro? ( ${ALLEGDEPEND} ) )
@@ -41,7 +41,7 @@ DEPEND="media-libs/libpng
mad? ( media-libs/libmad )
mikmod? ( media-libs/libmikmod )
openal? ( media-libs/openal )
- wxwidgets? ( x11-libs/wxGTK:2.8 )"
+ wxwidgets? ( x11-libs/wxGTK:${WX_GTK_VER} )"
RDEPEND="${DEPEND}
allegro? ( media-sound/timidity++ )"
PDEPEND="models? ( >=games-fps/vavoom-models-1.4.3 )
@@ -55,80 +55,71 @@ datadir=${GAMES_DATADIR}/${PN}
CMAKE_IN_SOURCE_BUILD=true
-pkg_setup() {
- games_pkg_setup
-}
-
src_prepare() {
# Got rid of icon installation
- sed -e "/vavoom\.png/d" \
- -i source/CMakeLists.txt || die "sed CMakeLists.txt failed"
+ sed -i \
+ -e "/vavoom\.png/d" \
+ source/CMakeLists.txt || die "sed CMakeLists.txt failed"
# Set shared data directory
- sed -e "s:fl_basedir = \".\":fl_basedir = \"${datadir}\":" \
- -i source/files.cpp || die "sed files.cpp failed"
+ sed -i \
+ -e "s:fl_basedir = \".\":fl_basedir = \"${datadir}\":" \
+ source/files.cpp || die "sed files.cpp failed"
# Fix zlib/minizip build error
- sed -e '1i#define OF(x) x' \
- -i "${S}/utils/vlumpy/ioapi.h" || die "sed iompi.h failed"
+ sed -i \
+ -e '1i#define OF(x) x' \
+ "${S}/utils/vlumpy/ioapi.h" || die "sed iompi.h failed"
}
-src_compile() {
- local \
- with_allegro="-DWITH_ALLEGRO=OFF" \
- with_sdl="-DWITH_SDL=OFF" \
- with_opengl="-DWITH_OPENGL=ON" \
- with_vorbis=$(cmake-utils_use_with vorbis)
-
- # Sdl is the default, unless sdl=off & allegro=on
- use sdl && with_sdl="-DWITH_SDL=ON"
- use allegro && with_allegro="-DWITH_ALLEGRO=ON"
- use dedicated && with_opengl="-DWITH_OPENGL=OFF"
-
- mycmakeargs="${mycmakeargs}
- -DCMAKE_CXX_FLAGS_RELEASE=-DNDEBUG
- -DCMAKE_CXX_FLAGS_DEBUG=-g2
- -DDATADIR=${datadir}
- -DBINDIR="${GAMES_BINDIR}"
- -DENABLE_CLIENT=ON
- -DENABLE_WRAPPERS=OFF
- ${with_allegro}
- ${with_sdl}
- ${with_opengl}
- ${with_vorbis}
- $(cmake-utils_use_with openal OPENAL)
- $(cmake-utils_use_with mad LIBMAD)
- $(cmake-utils_use_with mikmod MIKMOD)
- $(cmake-utils_use_with flac FLAC)
- $(cmake-utils_use_enable debug ZONE_DEBUG)
- $(cmake-utils_use_enable dedicated SERVER)
- $(cmake-utils_use_enable asm ASM)
- $(cmake-utils_use_enable wxwidgets LAUNCHER)
- -DwxWidgets_CONFIG_EXECUTABLE=${WX_CONFIG}"
+src_configure() {
+ local mycmakeargs=(
+ -DCMAKE_CXX_FLAGS_RELEASE=-DNDEBUG
+ -DCMAKE_CXX_FLAGS_DEBUG=
+ -DDATADIR=${datadir}
+ -DBINDIR="${GAMES_BINDIR}"
+ -DENABLE_WRAPPERS=OFF
+ $(cmake-utils_use_with allegro ALLEGRO)
+ $(cmake-utils_use_with sdl SDL)
+ $(cmake-utils_use_enable !dedicated CLIENT)
+ $(cmake-utils_use_with !dedicated OPENGL)
+ $(cmake-utils_use_with vorbis VORBIS)
+ $(cmake-utils_use_with openal OPENAL)
+ $(cmake-utils_use_with mad LIBMAD)
+ $(cmake-utils_use_with mikmod MIKMOD)
+ $(cmake-utils_use_with flac FLAC)
+ $(cmake-utils_use_enable debug ZONE_DEBUG)
+ $(usex dedicated "-DENABLE_SERVER=ON" "$(usex server "-DENABLE_SERVER=ON" "-DENABLE_SERVER=OFF")")
+ $(cmake-utils_use_enable asm ASM)
+ $(cmake-utils_use_enable wxwidgets LAUNCHER)
+ -DwxWidgets_CONFIG_EXECUTABLE=${WX_CONFIG}
+ )
cmake-utils_src_configure
+}
- cmake-utils_src_make -j1
+src_compile() {
+ cmake-utils_src_compile -j1
}
src_install() {
cmake-utils_src_install
# Create desktop entry
- make_desktop_entry "${PN}" "Vavoom" || die "make_desktop_entry failed"
- doicon "source/${PN}.png" || die "doicon ${PN}.png failed"
+ make_desktop_entry "${PN}" "Vavoom"
+ doicon "source/${PN}.png"
- dodoc "docs/${PN}.txt" || die "dodoc vavoom.txt failed"
+ dodoc "docs/${PN}.txt"
if use tools ; then
# The tools are always built
- dogamesbin utils/bin/{acc,fixmd2,vcc,vlumpy} || die "dobin utils failed"
- dodoc utils/vcc/vcc.txt || die "dodoc vcc.txt failed"
+ dogamesbin utils/bin/{acc,fixmd2,vcc,vlumpy}
+ dodoc utils/vcc/vcc.txt
fi
if use wxwidgets ; then
# Install graphical launcher shortcut
- doicon utils/vlaunch/vlaunch.xpm || die "doicon vlaunch.xpm failed"
+ doicon utils/vlaunch/vlaunch.xpm
make_desktop_entry "vlaunch" "Vavoom Launcher" "vlaunch.xpm"
fi
@@ -153,8 +144,6 @@ pkg_postinst() {
echo
elog "You've also installed a nice graphical launcher. Simply run:"
elog " vlaunch"
- elog
- elog "to enjoy it :)"
fi
if use tools; then
diff --git a/games-fps/vavoom/vavoom-9999.ebuild b/games-fps/vavoom/vavoom-9999.ebuild
index 728c27d84..8da7fa01a 100644
--- a/games-fps/vavoom/vavoom-9999.ebuild
+++ b/games-fps/vavoom/vavoom-9999.ebuild
@@ -1,8 +1,8 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
-EAPI="2"
+EAPI=5
WX_GTK_VER="2.8"
@@ -14,63 +14,47 @@ ESVN_REPO_URI="https://vavoom.svn.sourceforge.net/svnroot/vavoom/trunk/vavoom"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS=""
-IUSE="allegro asm debug dedicated flac mad mikmod +models +music openal +opengl
-+sdl +textures tools +vorbis wxwidgets"
-
-# From econf: "Vavoom requires Allegro or SDL to compile"
-# SDL,like Allegro are *software* renderers in this game.
-# So, if not selected through proper USEs, the default is SDL,
-# without opengl (vavoom can run in software-mode only).
-# To enable it, enable proper USE.
-# OpenGL is the normally-desired hardware renderer, selected on command-line
-# (through "-opengl" switch). This switch is also added to the desktop entry,
-# if "opengl" USE flag is enabled
-
-SDLDEPEND=">=media-libs/libsdl-1.2[X,alsa,opengl?]
- media-libs/sdl-mixer[timidity]"
-ALLEGDEPEND=">=media-libs/allegro-4.0[X,alsa]"
-OPENGLDEPEND="opengl? ( virtual/opengl )
- sdl? ( ${SDLDEPEND} )
- allegro? ( media-libs/allegro[opengl] )
- !sdl? ( !allegro? ( ${SDLDEPEND} ) )"
-DEPEND="media-libs/libpng
+KEYWORDS="~amd64 ~x86"
+IUSE="allegro asm debug dedicated flac mad mikmod models music openal +sdl server textures tools vorbis wxwidgets"
+
+# Vavoom requires either Allegro or SDL to compile.
+# Set appropriate USE flags to select which library is used.
+
+# As of 1.33, OpenGL is required and thus forced on.
+
+SDLDEPEND="
+ || ( >=media-libs/libsdl-1.2[alsa,X,video,opengl]
+ >=media-libs/libsdl-1.2[oss,X,video,opengl] )
+ music? ( media-libs/sdl-mixer )
+ !music? ( media-libs/sdl-mixer[timidity] )
+ "
+ALLEGDEPEND="
+ || ( >=media-libs/allegro-4.0[alsa,X,opengl]
+ >=media-libs/allegro-4.0[oss,X,opengl] )
+ "
+DEPEND="media-libs/libpng:0
virtual/jpeg
sdl? ( ${SDLDEPEND} )
!sdl? ( allegro? ( ${ALLEGDEPEND} ) )
- !sdl? ( !allegro? ( !dedicated? ( ${OPENGLDEPEND} ) ) )
- opengl? ( ${OPENGLDEPEND} )
vorbis? ( media-libs/libvorbis )
flac? ( media-libs/flac )
mad? ( media-libs/libmad )
mikmod? ( media-libs/libmikmod )
openal? ( media-libs/openal )
- wxwidgets? ( x11-libs/wxGTK:2.8 )"
+ wxwidgets? ( x11-libs/wxGTK:${WX_GTK_VER} )"
RDEPEND="${DEPEND}
allegro? ( media-sound/timidity++ )"
PDEPEND="models? ( >=games-fps/vavoom-models-1.4.3 )
music? ( games-fps/vavoom-music )
textures? ( games-fps/vavoom-textures )"
+REQUIRED_USE="^^ ( allegro sdl dedicated )
+ music? ( vorbis )"
+
datadir=${GAMES_DATADIR}/${PN}
CMAKE_IN_SOURCE_BUILD=true
-pkg_setup() {
- games_pkg_setup
-
- # Print some warning if needed
- if use sdl && use allegro ; then
- ewarn
- ewarn "Both 'allegro' and 'sdl' USE flags enabled. Using SDL as default."
- elif ! use sdl && ! use allegro ; then
- ewarn
- ewarn "Both 'allegro' and 'sdl' USE flags disabled. Using SDL as default."
- fi
-
- ! use opengl && ewarn "'opengl' USE flag disabled. OpenGL is recommended, for best graphics."
-}
-
src_prepare() {
subversion_src_unpack
subversion_src_prepare
@@ -84,75 +68,61 @@ src_prepare() {
sed -i \
-e "s:fl_basedir = \".\":fl_basedir = \"${datadir}\":" \
source/files.cpp || die "sed files.cpp failed"
-}
-src_compile() {
- local \
- with_allegro="-DWITH_ALLEGRO=OFF" \
- with_sdl="-DWITH_SDL=OFF" \
- with_vorbis=$(cmake-utils_use_with vorbis)
-
- # Sdl is the default, unless sdl=off & allegro=on
- if ! use sdl && use allegro ; then
- with_allegro="-DWITH_ALLEGRO=ON"
- else
- with_sdl="-DWITH_SDL=ON"
- fi
-
- # Forcibly enable vorbis support if "music" USE flag is enabled
- if ! use vorbis && use music ; then
- ewarn "\"music\" USE flag requires Vorbis support enabled."
- ewarn "Forced enabling of \"vorbis\" USE flag"
- with_vorbis="-DWITH_VORBIS=ON"
- fi
+ # Fix zlib/minizip build error
+ sed -i \
+ -e '1i#define OF(x) x' \
+ "${S}/utils/vlumpy/ioapi.h" || die "sed iompi.h failed"
+}
- mycmakeargs="${mycmakeargs}
- -DCMAKE_CXX_FLAGS_RELEASE=-DNDEBUG
- -DCMAKE_CXX_FLAGS_DEBUG=-g2
- -DDATADIR=${datadir}
- -DBINDIR="${GAMES_BINDIR}"
- -DENABLE_CLIENT=ON
- -DENABLE_WRAPPERS=OFF
- ${with_allegro}
- ${with_sdl}
- ${with_vorbis}
- $(cmake-utils_use_with opengl OPENGL)
- $(cmake-utils_use_with openal OPENAL)
- $(cmake-utils_use_with mad LIBMAD)
- $(cmake-utils_use_with mikmod MIKMOD)
- $(cmake-utils_use_with flac FLAC)
- $(cmake-utils_use_enable debug ZONE_DEBUG)
- $(cmake-utils_use_enable dedicated SERVER)
- $(cmake-utils_use_enable asm ASM)
- $(cmake-utils_use_enable wxwidgets LAUNCHER)
- -DwxWidgets_CONFIG_EXECUTABLE=${WX_CONFIG}"
+src_configure() {
+ local mycmakeargs=(
+ -DCMAKE_CXX_FLAGS_RELEASE=-DNDEBUG
+ -DCMAKE_CXX_FLAGS_DEBUG=
+ -DDATADIR=${datadir}
+ -DBINDIR="${GAMES_BINDIR}"
+ -DENABLE_WRAPPERS=OFF
+ $(cmake-utils_use_with allegro ALLEGRO)
+ $(cmake-utils_use_with sdl SDL)
+ $(cmake-utils_use_enable !dedicated CLIENT)
+ $(cmake-utils_use_with !dedicated OPENGL)
+ $(cmake-utils_use_with vorbis VORBIS)
+ $(cmake-utils_use_with openal OPENAL)
+ $(cmake-utils_use_with mad LIBMAD)
+ $(cmake-utils_use_with mikmod MIKMOD)
+ $(cmake-utils_use_with flac FLAC)
+ $(cmake-utils_use_enable debug ZONE_DEBUG)
+ $(usex dedicated "-DENABLE_SERVER=ON" "$(usex server "-DENABLE_SERVER=ON" "-DENABLE_SERVER=OFF")")
+ $(cmake-utils_use_enable asm ASM)
+ $(cmake-utils_use_enable wxwidgets LAUNCHER)
+ -DwxWidgets_CONFIG_EXECUTABLE=${WX_CONFIG}
+ )
cmake-utils_src_configure
+}
- cmake-utils_src_make -j1
+src_compile() {
+ cmake-utils_src_compile -j1
}
src_install() {
- local de_cmd="${PN}"
-
cmake-utils_src_install
- # Enable OpenGL in desktop entry, if relevant USE flag is enabled
- use opengl && de_cmd="${PN} -opengl"
- doicon "source/${PN}.png" || die "doicon ${PN}.png failed"
- make_desktop_entry "${de_cmd}" "Vavoom"
+ # Create desktop entry
+ make_desktop_entry "${PN}" "Vavoom"
+ doicon "source/${PN}.png"
- dodoc "docs/${PN}.txt" || die "dodoc vavoom.txt failed"
+ dodoc "docs/${PN}.txt"
if use tools ; then
# The tools are always built
- dogamesbin utils/bin/{acc,fixmd2,vcc,vlumpy} || die "dobin utils failed"
- dodoc utils/vcc/vcc.txt || die "dodoc vcc.txt failed"
+ dogamesbin utils/bin/{acc,fixmd2,vcc,vlumpy}
+ dodoc utils/vcc/vcc.txt
fi
if use wxwidgets ; then
# Install graphical launcher shortcut
- doicon utils/vlaunch/vlaunch.xpm || die "doicon vlaunch.xpm failed"
+ doicon utils/vlaunch/vlaunch.xpm
make_desktop_entry "vlaunch" "Vavoom Launcher" "vlaunch.xpm"
fi
@@ -169,31 +139,28 @@ pkg_postinst() {
elog "ln -sn "${GAMES_DATADIR}"/doom-data/doom.wad "${datadir}"/"
elog
elog "Example command-line:"
- elog " vavoom -doom -opengl"
+ elog " vavoom -doom -openal"
elog
elog "See documentation for further details."
if use wxwidgets ; then
- einfo
- einfo "You've also installed a nice graphical launcher. Simply run:"
- einfo
- einfo " vlaunch"
- einfo
- einfo "to enjoy it :)"
+ echo
+ elog "You've also installed a nice graphical launcher. Simply run:"
+ elog " vlaunch"
fi
if use tools; then
- einfo
- einfo "You have also installed some Vavoom-related utilities"
- einfo "(useful for mod developing):"
- einfo
- einfo " - acc (ACS Script Compiler)"
- einfo " - fixmd2 (MD2 models utility)"
- einfo " - vcc (Vavoom C Compiler)"
- einfo " - vlumpy (Vavoom Lump utility)"
- einfo
- einfo "See the Vavoom Wiki at http://vavoom-engine.com/wiki/ or"
- einfo "Vavoom Forum at http://www.vavoom-engine.com/forums/"
- einfo "for further help."
+ echo
+ elog "You have also installed some Vavoom-related utilities"
+ elog "(useful for mod developing):"
+ elog
+ elog " - acc (ACS Script Compiler)"
+ elog " - fixmd2 (MD2 models utility)"
+ elog " - vcc (Vavoom C Compiler)"
+ elog " - vlumpy (Vavoom Lump utility)"
+ elog
+ elog "See the Vavoom Wiki at http://vavoom-engine.com/wiki/ or"
+ elog "Vavoom Forum at http://www.vavoom-engine.com/forums/"
+ elog "for further help."
fi
}